U.S. Government Confirms Critical Security Warning For Firefox Users

The United States Department of Homeland Security’s Cybersecurity and Infrastructure Security Agency (CISA) is encouraging users to update Mozilla Firefox

This, despite Firefox releasing a significant program update, to version 72, on January 7. The reason for this level of Government agency interest and urgency in the language used? A critical zero-day vulnerability that can enable a threat actor to take control of users’ computers. A critical zero-day vulnerability that is being actively exploited in the wild.

Click here to read complete article